package models

import (
	"time"
)

// Action represents a single action item.
type Action struct {
	ActionID          int64
	ActionDescription string
	CreatedAt         time.Time
	UpdatedAt         time.Time
}

// Actions returns all actions from the model.
func (m *Model) Actions() ([]*Action, error) {
	return m.SelectActions()
}
